summaryrefslogtreecommitdiffstats
path: root/source/l/libwnck3
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libwnck3')
-rw-r--r--source/l/libwnck3/00000000.patch27
-rwxr-xr-xsource/l/libwnck3/libwnck3.SlackBuild5
2 files changed, 31 insertions, 1 deletions
diff --git a/source/l/libwnck3/00000000.patch b/source/l/libwnck3/00000000.patch
new file mode 100644
index 000000000..b22615761
--- /dev/null
+++ b/source/l/libwnck3/00000000.patch
@@ -0,0 +1,27 @@
+From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Alberts=20Muktup=C4=81vels?= <alberts.muktupavels@gmail.com>
+Date: Tue, 20 Sep 2022 15:40:22 +0300
+Subject: [PATCH] handle: avoid segfault in invalidate_icons
+
+Screens variable won't be initialized if default icon sizes are
+set/changed before using wnck_screen_get_default.
+
+https://bugs.launchpad.net/ubuntu/+source/libwnck3/+bug/1990263
+---
+ libwnck/wnck-handle.c | 3 +++
+ 1 file changed, 3 insertions(+)
+
+diff --git a/libwnck/wnck-handle.c b/libwnck/wnck-handle.c
+index e12ff8825045..8d5da45c8787 100644
+--- a/libwnck/wnck-handle.c
++++ b/libwnck/wnck-handle.c
+@@ -70,6 +70,9 @@ invalidate_icons (WnckHandle *self)
+ Display *xdisplay;
+ int i;
+
++ if (self->screens == NULL)
++ return;
++
+ xdisplay = _wnck_get_default_display ();
+
+ for (i = 0; i < ScreenCount (xdisplay); ++i)
diff --git a/source/l/libwnck3/libwnck3.SlackBuild b/source/l/libwnck3/libwnck3.SlackBuild
index 10e60ff20..b251cf0f2 100755
--- a/source/l/libwnck3/libwnck3.SlackBuild
+++ b/source/l/libwnck3/libwnck3.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libwnck3
VERSION=${VERSION:-$(echo libwnck-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -80,6 +80,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Fix crash bug:
+cat $CWD/00000000.patch | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"